/*
     $Revision$
     $Id$
*/

function edit_rechten(row)
{
    var groep_key = row.getAttribute("ROWKEY");
    var grpData = eval("(" + row.getAttribute("ROWDATA") + ")");

    if (window.functie_key > 0 && grpData.funcdisc) // naar het overzicht per discipline
    {
        var url = "appl/mgt/ins_tab_discipline.asp?fac_groep=" + groep_key + "&fac_functie=" + window.functie_key;
        FcltMgr.openDetail(url, { reuse: true });
    }
    else if (window.functie_key > 0)
    {
        var url = "fac_edit_groeprechten.asp?fac_groep={0}&fac_functie={1}&ins_discipline={2}".format(groep_key, window.functie_key, window.disc_key);
        FcltMgr.openModalDetail(url, L("fac_groeprechten"), { callback: FcltCallbackRefresh });
    }
    else // eerst nog een functie erbij kiezen
    {
        var url = "appl/mgt/fac_functie.asp?fac_groep=" + groep_key;
        FcltMgr.openDetail(url, { reuse: true });
    }
}
